# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.extensions
Class Recurrence

    java.lang.Object
      com.google.gdata.data.extensions.Recurrence

All Implemented Interfaces:
  Extension

    public class Recurrence

extends java.lang.Object
implements Extension

GData schema extension describing an RFC 2445 recurrence rule.

Field Summary
`protected java.lang.String` `value` Recurrence rule.

Constructor Summary
`Recurrence()`

Method Summary
`void` `generate(com.google.gdata.util.common.xml.XmlWriter w, ExtensionProfile extProfile)` Generates an XML representation for the extension.
`static ExtensionDescription` `getDefaultDescription()` Returns the suggested extension description.
`XmlParser.ElementHandler` `getHandler(ExtensionProfile extProfile, java.lang.String namespace, java.lang.String localName, org.xml.sax.Attributes attrs)` Gets an XML element handler for the extension.
`java.lang.String` `getValue()`
`void` `setValue(java.lang.String v)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected java.lang.String value

  Recurrence rule. Contains DTSTART, RRULE, RDATE, EXRULE, EXDATE, etc.

Constructor Detail

### Recurrence

    public Recurrence()

Method Detail

### getValue

    public java.lang.String getValue()

### setValue

    public void setValue(java.lang.String v)

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()

  Returns the suggested extension description.

### generate

    public void generate(com.google.gdata.util.common.xml.XmlWriter w,
                         ExtensionProfile extProfile)
                  throws java.io.IOException

  Description copied from interface: `Extension`
  Generates an XML representation for the extension.

  Specified by:
    `generate` in interface `Extension`
  Parameters:
    `w` - XML writer
    `extProfile` - extension profile
  Throws:
    `java.io.IOException`

### getHandler

    public XmlParser.ElementHandler getHandler(ExtensionProfile extProfile,
                                               java.lang.String namespace,
                                               java.lang.String localName,
                                               org.xml.sax.Attributes attrs)

  Description copied from interface: `Extension`
  Gets an XML element handler for the extension.

  Specified by:
    `getHandler` in interface `Extension`
  Parameters:
    `extProfile` - extension profile
    `namespace` - extension namespace
    `localName` - tag name, without the namespace prefix
    `attrs` - tag attributes
  Returns:
    an element handler